.croppie-container {
	padding: 30px;
}
.croppie-container .cr-image {
	z-index: -1;
	position: absolute;
	top: 0;
	left: 0;
	transform-origin: 0 0;
    max-width: none;
}

.croppie-container .cr-boundary {
	position: relative;
	overflow: hidden;
	margin: 0 auto;
	z-index: 1;
}

.croppie-container .cr-viewport {
	position: absolute;
	border: 2px solid #fff;
	margin: auto;
	top: 0;
	bottom: 0;
	right: 0;
	left: 0;
    box-shadow: 0 0 2000px 2000px rgba(0, 0, 0, 0.5);
	z-index: 0;
}
.croppie-container .cr-vp-circle {
	border-radius: 50%;
}
.croppie-container .cr-overlay {
	z-index: 1;
	position: absolute;
	cursor: move;
}
.croppie-container .cr-slider-wrap {
	width: 75%;
	margin: 0 auto;
	margin-top: 25px;
	text-align: center;
}
.croppie-result {
	position: relative; 
	overflow: hidden;
}
.croppie-result img {
	position: absolute;
}
.croppie-container .cr-image,
.croppie-container .cr-overlay, 
.croppie-container .cr-viewport {
  -webkit-transform: translateZ(0);
  -moz-transform: translateZ(0);
  -ms-transform: translateZ(0);
  transform: translateZ(0);
}

/*************************************/
/***** STYLING RANGE INPUT ***********/
/*************************************/
/*http://brennaobrien.com/blog/2014/05/style-input-type-range-in-every-browser.html */
/*************************************/

.cr-slider {
    -webkit-appearance: none;/*removes default webkit styles*/
    /*border: 1px solid white; *//*fix for FF unable to apply focus style bug */
    width: 300px;/*required for proper track sizing in FF*/
    max-width: 100%;
}
.cr-slider::-webkit-slider-runnable-track {
    width: 100%;
    height: 3px;
    background: rgba(0, 0, 0, 0.5);
    border: 0;
    border-radius: 3px;
}
.cr-slider::-webkit-slider-thumb {
    -webkit-appearance: none;
    border: none;
    height: 16px;
    width: 16px;
    border-radius: 50%;
    background: #ddd;
    margin-top: -6px;
}
.cr-slider:focus {
    outline: none;
}
/*
.cr-slider:focus::-webkit-slider-runnable-track {
    background: #ccc;
}
*/

.cr-slider::-moz-range-track {
    width: 100%;
    height: 3px;
    background: rgba(0, 0, 0, 0.5);
    border: 0;
    border-radius: 3px;
}
.cr-slider::-moz-range-thumb {
    border: none;
    height: 16px;
    width: 16px;
    border-radius: 50%;
    background: #ddd;
    margin-top: -6px;
}

/*hide the outline behind the border*/
.cr-slider:-moz-focusring{
    outline: 1px solid white;
    outline-offset: -1px;
}

.cr-slider::-ms-track {
    width: 300px;
    height: 5px;
    background: transparent;/*remove bg colour from the track, we'll use ms-fill-lower and ms-fill-upper instead */
    border-color: transparent;/*leave room for the larger thumb to overflow with a transparent border */
    border-width: 6px 0;
    color: transparent;/*remove default tick marks*/
}
.cr-slider::-ms-fill-lower {
    background: rgba(0, 0, 0, 0.5);
    border-radius: 10px;
}
.cr-slider::-ms-fill-upper {
    background: rgba(0, 0, 0, 0.5);
    border-radius: 10px;
}
.cr-slider::-ms-thumb {
    border: none;
    height: 16px;
    width: 16px;
    border-radius: 50%;
    background: #ddd;
}
.cr-slider:focus::-ms-fill-lower {
    background: rgba(0, 0, 0, 0.5);
}
.cr-slider:focus::-ms-fill-upper {
    background: rgba(0, 0, 0, 0.5);
}
/*******************************************/

/***********************************/
/* Rotation Tools */
/***********************************/
.cr-rotate-controls {
    position: absolute;
    bottom: 5px;
    left: 5px;
    z-index: 1;
}
.cr-rotate-controls button {
    border: 0;
    background: none;
}
.cr-rotate-controls i:before {
    display: inline-block;
    font-style: normal;
    font-weight: 900;
    font-size: 22px;
}
.cr-rotate-l i:before {
    content: '↺';
}
.cr-rotate-r i:before {
    content: '↻';
}

/* 
Colors
#20C1C7
#204648
#189094
#61CED2
#0C4648
*/

#croppieWrapper {
    height: 100%;
    padding: 0;
    margin: 0;
    min-height: 100%;
}

#croppieWrapper {
    height: auto;
}

button,
a.btn {
    background-color: #189094;
    color: white;
    padding: 10px 15px;
    border-radius: 3px;
    border: 1px solid rgba(255, 255, 255, 0.5);
    font-size: 16px;
    cursor: pointer;
    text-decoration: none;
    text-shadow: none;
    display: inline-block;
}
input[type="file"] {
    cursor: pointer;
}
button:focus {
    outline: 0;
}

.file-btn {
    position: relative;
}
.file-btn input[type="file"] {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    opacity: 0;
}

.actions {
    padding: 5px 0;
}
.actions button {
    margin-right: 5px;
}

pre[class*="language"] {
    margin: 10px 0;
    padding-top: 0;
    border-left-color: #189094;
}

.container,
.section-header h2 {
    position: relative;
    max-width: 1000px;
    margin: 0 auto;
    min-width: 500px;
    padding: 0 10px;
}

.upload-demo #upload-demo,
.upload-demo .upload-result,
.upload-demo.ready .upload-msg {
    display: none;
}
.upload-demo.ready #upload-demo {
    display: block;
}
.upload-demo.ready .upload-result {
    display: inline-block;    
}

.upload-msg {
    text-align: center;
    padding: 50px;
    font-size: 22px;
    color: #aaa;
    width: 260px;
    margin: 50px auto;
    border: 1px solid #aaa;
}

/* Sweet alert modifications */
.sweet-alert {
    width: auto;
    max-width: 85%;
}

/* Grid - subset */
*, *:after, *:before {
	-webkit-box-sizing: border-box;
	-moz-box-sizing: border-box;
	box-sizing: border-box;
}
[class*='col-'] {
	float: left;
	padding-right: 20px; /* column-space */
}

.grid {
	width: 100%;
	max-width: 1140px;
	min-width: 755px;
	margin: 0 auto;
	overflow: hidden;
}
.grid:after {
	content: "";
	display: table;
	clear: both;
}

.col-1-2 {
	width: 50%;
}

.col-1-3 {
	width: 33.33%;
}
.col-2-3 {
	width: 66.66%;
}
.col-1-4 {
	width: 25%;
}
.col-3-4 {
	width: 75%;
}

@media handheld, only screen and (max-width: 767px) {
    .grid {
        width: 100%;
        min-width: 0;
        margin-left: 0;
        margin-right: 0;
        padding-left: 20px; /* grid-space to left */
        padding-right: 10px; /* grid-space to right: (grid-space-left - column-space) e.g. 20px-10px=10px */
    }

    [class*='col-'] {
        width: auto;
        float: none;
        margin: 10px 0;
        padding-left: 0;
        padding-right: 10px; /* column-space */
    }
    .container, 
    .section-header h2 {
        min-width: 0;
    }

    .croppie-container {
        padding: 30px 0;
    }
}
